> For the complete documentation index, see [llms.txt](https://docs.oxapay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oxapay.com/api-reference/swap.md).

# Swap

If your business requires a service to seamlessly exchange cryptocurrency assets through an API, the Swap Service is the perfect solution. It enables you to integrate crypto swapping functionality directly into your platform or application, allowing you to automate and simplify asset exchanges. With this service, you can efficiently convert one cryptocurrency to another without relying on external platforms, providing flexibility and convenience.

#### To process swap, you'll need a General API key. Follow these steps to generate it:

1. Log in to your OxaPay account.
2. Navigate to the Account Settings page.
3. Fill in the form then click on the "Generate General API Key" button.

#### Watch the video below for a step-by-step walkthrough of the process:

{% embed url="<https://www.youtube.com/watch?v=y37bcIvl9ZM>" %}

You can swap your crypto assets with the guidance provided in the [Swap Request](https://docs.oxapay.com/api-reference/swap/swap-request) in the API references.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oxapay.com/api-reference/swap.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
